Main Page Class Hierarchy Compound List File List Compound Members File Members

# DummyLedPkg Class Reference

implementa un messaggio Dummy per l'accesione dei Led. More...

`#include <DummyLedPkg.h>`

Inheritance diagram for DummyLedPkg:

List of all members.

## Public Methods
| DummyLedPkg (int a, byte colore, bool ack=false)
| Costruttore ordinario. More...
| DummyLedPkg (byte *ptr)
| Costruisce l'oggetto a partire dall'array restituito da getMsg(). More...
virtual | ~DummyLedPkg ()
| Distruttore di Default.
virtual TelepatiPkg * | clone ()
| Clonatore. More...
byte * | getMsg ()
| Ritorna un array che rappresenta l'oggetto. More...
byte | getColor ()
| Colore del Led. More...
## Protected Attributes
byte | color
| Il colore da dare al Led.

## Detailed Description

implementa un messaggio Dummy per l'accesione dei Led.

E' un messaggio Dummy, creato sostanzialmente per scopi di debug e testing, ha il compito di far accendere un Led con un dato colore all'Aibo di destinazione.@n Struttura: e' composto dall'header standard piu' un byte rappresentante il colore da dare al o ai Led da accendere.

## Constructor & Destructor Documentation

DummyLedPkg::DummyLedPkg | ( | int | a,
|  | byte | colore,
|  | bool | ack = false
| ) |

  | Costruttore ordinario. Parameters:
  a | aibo di destinazione
  colore | colore da dare al Led da accendere.
  ack | true se richiesto l'Ack, false altrimenti.

DummyLedPkg::DummyLedPkg | ( | byte * | ptr | ) |

  | Costruisce l'oggetto a partire dall'array restituito da getMsg(). Parameters:
  ptr | puntatore all'array di byte.
See also: getMsg()

## Member Function Documentation

TelepatiPkg * DummyLedPkg::clone | ( |  | ) | `[virtual]`

| Clonatore. Restituisce un clone dell'oggetto su cui e' chiamato. Implements TelepatiPkg.

byte DummyLedPkg::getColor | ( |  | ) | `[inline]`

| Colore del Led. Returns: color colore del Led

byte * DummyLedPkg::getMsg | ( |  | ) | `[virtual]`

| Ritorna un array che rappresenta l'oggetto. Costruisce un array che rappresenta l'oggetto, l'array corrisponde ai dati spediti via rete. Returns: array di byte. See also: DummyLedPkg(byte* ptr) Implements TelepatiPkg.

The documentation for this class was generated from the following files:

- /home/gilberto/prog/tesi2.31/lib/Packages/DummyLedPkg.h
- /home/gilberto/prog/tesi2.31/lib/Packages/DummyLedPkg.cc